This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490203 - doesn't boot RHEL 5 kernel
doesn't boot RHEL 5 kernel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 15:45 EDT by Bill Nottingham
Modified: 2014-03-16 23:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 08:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2009-03-13 15:45:00 EDT
Description of problem:

It hangs with:

...
SMP alternatives: switching to UP code
Freeing SMP alternatives: 32k freed
ACPI: Core revision 20060707
.. MP-BIOS bug: 8254 timer not connected to IO-APIC
timer doesn't work through the IO-APIC - disabling NMI Watchdog!

Version-Release number of selected component (if applicable):

kernel-2.6.29-0.203.rc7.fc11.x86_64 (host)
qemu-system-x86-0.10-0.4.kvm20090303git.fc11.x86_64
kernel-2.6.18-92.el5 (guest)

How reproducible:

Every time

Steps to Reproduce:
1. Attempt to boot RHEL 5 VM
  
Actual results:

Fail.

Expected results:

Win!
Comment 1 Glauber Costa 2009-03-13 15:57:38 EDT
Please upgrade qemu to 0.10-0.9
Comment 2 Bill Nottingham 2009-03-13 16:17:13 EDT
Yeah, that fixes it for me.
Comment 3 Mark McLoughlin 2009-03-25 08:20:00 EDT
Think this was the fix:

* Tue Mar 10 2009 Glauber Costa <glommer@redhat.com> - 2:0.10-0.5.kvm20090303git
...
- build kvm's own bios. It is still necessary while kvm uses a slightly different
  irq routing mechanism

Note You need to log in before you can comment on or make changes to this bug.